Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225961 - Merge Review: kdebase
Summary: Merge Review: kdebase
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 227223 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:14 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-06 12:39:58 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:14:59 UTC
Fedora Merge Review: kdebase

http://cvs.fedora.redhat.com/viewcvs/devel/kdebase/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-02-03 20:22:00 UTC

*** This bug has been marked as a duplicate of 227223 ***

Comment 2 Rex Dieter 2007-02-07 13:33:34 UTC
On retrospect, makes much more sense to review Core package as-is, and discuss
mods and co-maintainership after.

Comment 3 Rex Dieter 2007-02-07 13:34:56 UTC
*** Bug 227223 has been marked as a duplicate of this bug. ***

Comment 4 Rex Dieter 2007-03-05 18:26:57 UTC
Obligatory rpmlint runs:

$rpmlint kdebase-devel-3.5.6-1.fc7.i386.rpm
W: kdebase-devel incoherent-version-dependency-on kdebase 6:3.5.6-1.fc7.i386 3.5.6
W: kdebase-devel no-documentation

$rpmlint kdebase-3.5.6-1.fc7.i386.rpm
E: kdebase useless-explicit-provides kdebase
E: kdebase invalid-soname /usr/lib/libkdeinit_kxkb.so libkdeinit_kxkb.so
E: kdebase invalid-soname /usr/lib/libkdeinit_konsole.so libkdeinit_konsole.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kate.so libkdeinit_kate.so
E: kdebase invalid-directory-reference /usr/lib/kde3/kded_homedirnotify.la
E: kdebase invalid-directory-reference /usr/lib/kde3/kio_home.la
E: kdebase invalid-soname /usr/lib/libkdeinit_kaccess.so libkdeinit_kaccess.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kmenuedit.so libkdeinit_kmenuedit.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kcontroledit.so
libkdeinit_kcontroledit.so
E: kdebase invalid-soname /usr/lib/libkdeinit_khelpcenter.so
libkdeinit_khelpcenter.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kcminit_startup.so
libkdeinit_kcminit_startup.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kfmclient.so libkdeinit_kfmclient.so
E: kdebase invalid-soname /usr/lib/libkdeinit_klipper.so libkdeinit_klipper.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kdesktop.so libkdeinit_kdesktop.so
E: kdebase invalid-soname /usr/lib/libkdeinit_appletproxy.so
libkdeinit_appletproxy.so
E: kdebase invalid-soname /usr/lib/libkdeinit_khotkeys.so libkdeinit_khotkeys.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kprinter.so libkdeinit_kprinter.so
E: kdebase invalid-soname /usr/lib/libkdeinit_keditbookmarks.so
libkdeinit_keditbookmarks.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kjobviewer.so libkdeinit_kjobviewer.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kcminit.so libkdeinit_kcminit.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kwin.so libkdeinit_kwin.so
E: kdebase invalid-soname /usr/lib/libkdeinit_konqueror.so libkdeinit_konqueror.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kwrite.so libkdeinit_kwrite.so
E: kdebase invalid-soname /usr/lib/libkdeinit_ksmserver.so libkdeinit_ksmserver.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kcontrol.so libkdeinit_kcontrol.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kicker.so libkdeinit_kicker.so
E: kdebase invalid-soname /usr/lib/libkdeinit_extensionproxy.so
libkdeinit_extensionproxy.so
E: kdebase invalid-soname /usr/lib/libkdeinit_kwin_rules_dialog.so
libkdeinit_kwin_rules_dialog.so
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/clockappletrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/katerc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kcmnspluginrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kdeglobals
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kdesktop_custom_menu1
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kdesktop_custom_menu2
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kdesktoprc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kdewizardrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kdm
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kickerrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/klaunchrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/klipperrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kmailrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kminipagerappletrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/knotify.eventsrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/knotifyrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/konqsidebartng.rc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/konquerorrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/konsolerc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/korgacrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kshorturifilterrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/ksplashrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/ktiprc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kwinrc
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/kxkb_groups
E: kdebase file-in-usr-marked-as-conffile /usr/share/config/profilerc
E: kdebase file-in-usr-marked-as-conffile /usr/share/xsessions/kde.desktop
E: kdebase script-without-shellbang /usr/lib/kde3/libkhtmlkttsdplugin.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcontroledit.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/useragent/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kmenuedit.la
E: kdebase script-without-shellbang /usr/lib/kde3/konq_sidebartree_dirtree.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/khtml/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/trash_panelapplet.la
E: kdebase script-without-shellbang /usr/lib/libkasbar.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_css.la
E: kdebase script-without-shellbang /usr/lib/kde3/lockout_panelapplet.la
E: kdebase script-without-shellbang /usr/lib/kde3/sysguard_panelapplet.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_view1394.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin_rules_dialog.la
E: kdebase script-without-shellbang /usr/lib/kde3/cursorthumbnail.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_componentchooser.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kicker.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/cookies/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_nsplugins.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_knotify.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_launch.la
E: kdebase script-without-shellbang /usr/lib/kde3/fontthumbnail.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/samba/common ../../common
E: kdebase script-without-shellbang /etc/kde/env/env.sh
E: kdebase script-without-shellbang /usr/lib/libkdeinit_konsole.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kcminit.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_cgi.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin_quartz_config.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/language/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_screensaver.la
E: kdebase script-without-shellbang /usr/lib/kde3/kfmclient.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_locale.la
E: kdebase script-without-shellbang /usr/lib/kde3/kgreet_classic.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_fish.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_settings.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kdnssd.la
E: kdebase script-without-shellbang /usr/lib/kde3/media_propsdlgplugin.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kwindecoration/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcontrol.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/panel/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kprinter.la
E: kdebase script-without-shellbang /usr/lib/kde3/ksplashdefault.la
E: kdebase script-without-shellbang /usr/lib/kde3/taskbar_panelextension.la
E: kdebase script-without-shellbang /usr/lib/kde3/konq_sound.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kompmgr/common ../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_konsole.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/khelpcenter/common
../common
W: kdebase hidden-file-or-dir /usr/share/templates/.source
W: kdebase hidden-file-or-dir /usr/share/templates/.source
E: kdebase script-without-shellbang /usr/lib/kde3/kio_sftp.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kxkb.la
E: kdebase script-without-shellbang /usr/lib/kde3/konq_listview.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_keditbookmarks.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kaccess.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/khelpcenter/glossary/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kwin_plastik_config.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_konqueror.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/ebrowsing/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/keditbookmarks.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/ioports/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/interrupts/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kfile_media.la
E: kdebase script-without-shellbang /usr/lib/kde3/libkdeprint_part.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_performance.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin.la
W: kdebase dangling-relative-symlink /etc/kde/kdm/Xaccess ../../X11/xdm/Xaccess
E: kdebase script-without-shellbang /usr/lib/kde3/kcminit.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kwinoptions.la
E: kdebase script-without-shellbang /usr/lib/kde3/kded_konqy_preloader.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/usb/common ../../common
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kinfocenter/common
../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/khelpcenter/userguide/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kaccess.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kcmkonsole/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkdecorations.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_history.la
E: kdebase script-without-shellbang /usr/lib/kde3/konq_sidebartree_history.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcminit_startup.la
E: kdebase script-without-shellbang /usr/lib/kde3/libkshorturifilter.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_konqhtml.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kdm/common ../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_fontinst.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_nntp.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_info.la
E: kdebase script-without-shellbang /usr/lib/kde3/libkurisearchfilter.la
E: kdebase script-without-shellbang /usr/lib/libksplashthemes.la
E: kdebase script-without-shellbang /usr/lib/kde3/kicker.la
E: kdebase script-without-shellbang /usr/lib/kde3/djvuthumbnail.la
E: kdebase script-without-shellbang /usr/lib/kde3/kickermenu_systemmenu.la
E: kdebase script-without-shellbang /usr/lib/kde3/naughty_panelapplet.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_input.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/icons/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/memory/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkickermain.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/filetypes/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/konq_sidebartree_bookmarks.la
E: kdebase script-without-shellbang /usr/lib/kde3/khelpcenter.la
W: kdebase hidden-file-or-dir /etc/skel/.kde
W: kdebase hidden-file-or-dir /etc/skel/.kde
E: kdebase script-without-shellbang /usr/lib/kde3/kwrite.la
E: kdebase script-without-shellbang /usr/lib/kde3/kfile_font.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kjobviewer.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kthememanager.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kfind/common ../common
E: kdebase script-without-shellbang /usr/lib/kde3/kwin3_quartz.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kxkb/common ../common
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kate.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin3_modernsys.la
E: kdebase script-without-shellbang /usr/lib/kde3/kickermenu_find.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_nic.la
E: kdebase script-without-shellbang /usr/lib/kde3/libkfindpart.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_khotkeys.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/nics/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kfile_trash.la
E: kdebase script-without-shellbang /usr/lib/kde3/konqsidebar_tree.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/processor/common ../../common
W: kdebase hidden-file-or-dir /usr/share/apps/konqsidebartng/entries/.version
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/proxy/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/opengl/common ../../common
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/klipper/common ../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/cache/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_style.la
E: kdebase script-without-shellbang /usr/lib/kde3/sidebar_panelextension.la
E: kdebase script-without-shellbang /usr/lib/kde3/konsole.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_ksplashthemes.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/panelappearance/common ../../common
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/ksysguard/common
../common
E: kdebase script-without-shellbang /usr/lib/kde3/menu_panelapplet.la
W: kdebase dangling-relative-symlink /etc/kde/kdm/Xsetup ../../X11/xdm/Xsetup_0
E: kdebase script-without-shellbang /usr/lib/kde3/ksplashstandard.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_usb.la
E: kdebase script-without-shellbang /usr/lib/kde3/ksmserver.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/knetattach/common
../common
E: kdebase script-without-shellbang /usr/lib/kde3/konq_iconview.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin3_plastik.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_man.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_finger.la
E: kdebase script-without-shellbang /usr/lib/kde3/liblocaldomainurifilter.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin3_laptop.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_keyboard.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin_default_config.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/konsole/common ../common
E: kdebase script-without-shellbang /usr/lib/kde3/kjobviewer.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kicker/common ../common
E: kdebase script-without-shellbang /usr/lib/kde3/kio_smb.la
E: kdebase script-without-shellbang /usr/lib/kde3/konq_aboutpage.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_display.la
E: kdebase script-without-shellbang /usr/lib/kde3/kickermenu_konsole.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_khotkeys.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kwrite/common ../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kcmfontinst/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_keys.la
E: kdebase non-executable-script
/usr/share/doc/HTML/en/khelpcenter/glossary/checkxrefs 0644
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kded.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/crypto/common ../../common
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kcontrol/bell/common
../../common
W: kdebase non-conffile-in-etc /etc/skel/.kde/Autostart/.directory
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/windowmanagement/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_xinerama.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_ksmserver.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kcontrol.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kcontrol/arts/common
../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kdesktop.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_icons.la
E: kdebase script-without-shellbang /usr/lib/kde3/launcher_panelapplet.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kmenuedit/common
../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_bell.la
W: kdebase dangling-relative-symlink /etc/kde/kdm/Xservers ../../X11/xdm/Xservers
E: kdebase script-without-shellbang /usr/lib/kde3/run_panelapplet.la
E: kdebase script-without-shellbang /usr/lib/kde3/libkuriikwsfilter.la
E: kdebase script-without-shellbang /usr/lib/libkonq.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/pcmcia/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kfmclient.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kwin.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kwinrules.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_randr.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_filter.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/desktopbehavior/common ../../common
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kcontrol/kdm/common
../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_useraccount.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kcontrol/common
../common
E: kdebase script-without-shellbang /usr/lib/kde3/kwin3_keramik.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kcontrol/keys/common
../../common
E: kdebase script-without-shellbang /usr/lib/kde3/extensionproxy.la
E: kdebase script-without-shellbang /usr/lib/kde3/media_panelapplet.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kdcop/common ../common
E: kdebase script-without-shellbang /usr/lib/kde3/khotkeys_arts.la
E: kdebase script-without-shellbang /usr/lib/kde3/kickermenu_kdeprint.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kdm.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_khotkeys_init.la
E: kdebase script-without-shellbang /usr/lib/kde3/klipper_panelapplet.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_klipper.la
E: kdebase script-without-shellbang /usr/lib/kde3/kickermenu_kate.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/cdinfo/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/devices/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kded_systemdirnotify.la
E: kdebase script-without-shellbang /usr/lib/kde3/kmenuedit.la
E: kdebase script-without-shellbang /usr/lib/kde3/konq_remoteencoding.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/background/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kio_mac.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/sound/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkateinterfaces.la
E: kdebase script-without-shellbang /usr/lib/kde3/kded_khotkeys.la
E: kdebase script-without-shellbang /usr/lib/kde3/imagethumbnail.la
E: kdebase script-without-shellbang /usr/lib/kde3/konq_sidebar.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_spellchecking.la
E: kdebase script-without-shellbang /usr/lib/libtaskmanager.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_ldap.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_trash.la
E: kdebase script-without-shellbang /usr/lib/kde3/taskbar_panelapplet.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_cgi.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_crypto.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/spellchecking/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kded_remotedirnotify.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin_keramik_config.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kcontroledit.la
E: kdebase script-without-shellbang /usr/lib/kde3/kded_medianotifier.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kurifilt.la
E: kdebase script-without-shellbang /usr/lib/kde3/kxkb.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/email/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kwin_modernsys_config.la
E: kdebase script-without-shellbang /usr/lib/libksgrd.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/konqueror/common
../common
E: kdebase script-without-shellbang /usr/lib/kde3/kio_remote.la
E: kdebase script-without-shellbang /usr/lib/kde3/clock_panelapplet.la
E: kdebase script-without-shellbang /usr/lib/kde3/htmlthumbnail.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kwrite.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_privacy.la
E: kdebase script-without-shellbang /usr/lib/kde3/konqsidebar_web.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/filemanager/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/screensaver/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkdeinit_appletproxy.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin3_b2.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_nfs.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/netpref/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kwin_b2_config.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_access.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/helpindex.html/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/libkonsolepart.la
W: kdebase dangling-relative-symlink /etc/kde/kdm/Xsession ../../X11/xinit/Xsession
E: kdebase script-without-shellbang /usr/lib/kde3/konq_shellcmdplugin.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kdesu/common ../common
W: kdebase dangling-relative-symlink /etc/kde/kdm/Xwilling ../../X11/xdm/Xwilling
E: kdebase script-without-shellbang /usr/lib/kde3/konqueror.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kcontrol/smb/common
../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kio.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_arts.la
E: kdebase script-without-shellbang /usr/lib/kde3/dockbar_panelextension.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kcmtaskbar/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kwin3_redmond.la
E: kdebase script-without-shellbang /usr/lib/kde3/kickermenu_konqueror.la
E: kdebase script-without-shellbang /usr/lib/kde3/klipper.la
E: kdebase script-without-shellbang /usr/lib/kde3/kded_kwrited.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kcmcss/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/performance/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/ksplashredmond.la
E: kdebase script-without-shellbang /usr/lib/kde3/khotkeys.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/protocols/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kwin_rules_dialog.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kate/common ../common
E: kdebase script-without-shellbang /usr/lib/kde3/kio_system.la
E: kdebase script-without-shellbang /usr/lib/kde3/minipager_panelapplet.la
E: kdebase script-without-shellbang /usr/lib/kde3/systemtray_panelapplet.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/colors/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kio_print.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kcmstyle/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kwindecoration.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_pop3.la
E: kdebase script-without-shellbang /usr/lib/kde3/kwin3_default.la
E: kdebase script-without-shellbang /usr/lib/libkfontinst.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kprinter.la
E: kdebase script-without-shellbang /usr/lib/kde3/kickermenu_remotemenu.la
E: kdebase script-without-shellbang /usr/lib/kde3/kded_homedirnotify.la
E: kdebase incoherent-logrotate-file /etc/logrotate.d/kdm
E: kdebase script-without-shellbang /usr/lib/kde3/kio_media.la
E: kdebase script-without-shellbang /usr/lib/kde3/appletproxy.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/fonts/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkdeinit_khelpcenter.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kdesktop.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_floppy.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_media.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/dma/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kasbar_panelextension.la
E: kdebase script-without-shellbang /usr/lib/libtaskbar.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_taskbar.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_clock.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_samba.la
E: kdebase script-without-shellbang /usr/lib/libkdeinit_kcminit_startup.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_kicker.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_background.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kcmsmserver/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/libkfontviewpart.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/ksplashml/common
../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_konq.la
E: kdebase script-without-shellbang /usr/lib/kde3/kstyle_keramik_config.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_joystick.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/xserver/common ../../common
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kdeprint/common
../common
E: kdebase script-without-shellbang /usr/lib/kde3/kate.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/clock/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kcmlaunch/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkonqsidebarplugin.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/mouse/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/khelpcenter/faq/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kio_tar.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kpager/common ../common
E: kdebase script-without-shellbang /usr/lib/kde3/kio_smtp.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/keyboard/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kwin3_web.la
E: kdebase script-without-shellbang /usr/lib/kde3/libkmanpart.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_thumbnail.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kcmnotify/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkdeinit_extensionproxy.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_printmgr.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/pci/common ../../common
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kdebugdialog/common
../common
E: kdebase script-without-shellbang /usr/lib/kde3/kded_favicons.la
E: kdebase script-without-shellbang /usr/lib/kde3/libnsplugin.la
E: kdebase script-without-shellbang /usr/lib/libkateutils.la
E: kdebase script-without-shellbang /usr/lib/kde3/textthumbnail.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/khelpcenter/visualdict/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/khelpcenter/quickstart/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/passwords/common ../../common
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/scsi/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kio_about.la
E: kdebase script-without-shellbang /usr/lib/kde3/kio_fonts.la
E: kdebase script-without-shellbang /usr/lib/kde3/kgreet_winbind.la
E: kdebase executable-marked-as-config-file /usr/share/xsessions/kde.desktop
E: kdebase script-without-shellbang /usr/share/xsessions/kde.desktop
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/desktop/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kickermenu_prefmenu.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_energy.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_colors.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_smserver.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_ioslaveinfo.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/kcmaccess/common ../../common
E: kdebase script-without-shellbang /usr/lib/libkhotkeys_shared.la
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_info.la
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kcontrol/energy/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_fonts.la
W: kdebase non-conffile-in-etc /etc/kde/kdm/backgroundrc
W: kdebase dangling-relative-symlink
/usr/share/doc/HTML/en/kinfocenter/partitions/common ../../common
E: kdebase script-without-shellbang /usr/lib/kde3/kio_home.la
W: kdebase dangling-relative-symlink /usr/share/doc/HTML/en/kioslave/common
../common
E: kdebase script-without-shellbang /usr/lib/kde3/kcm_filetypes.la
E: kdebase script-without-shellbang /usr/lib/kde3/kded_mediamanager.la
E: kdebase script-without-shellbang /usr/lib/kde3/kickermenu_recentdocs.la
E: kdebase incorrect-locale-subdir /usr/share/locale/l10n/southasia.desktop


Comment 5 Rex Dieter 2007-03-05 18:51:15 UTC
0. rpmlint has its usual, but mostly misplaced (kde-wise) complaints.

1. SHOULD drop
Provides: %{name} = %{epoch}:%{version}-%{release}.%{_arch}
not sure why this was added, but I'm pretty sure it's neither needed or a good idea.

2. SHOULD
+Requires: psmisc
for /sbin/fuser (and kio_media_mounthelper)
(can be addressed post-review)

3.
Not sure of the wisdom for the scriptlet:
%{_bindir}/kbuildsycoca --noincremental --global > /dev/null 2>&1 || :
though if we *do* want this, kdelibs should own this global cache:
%ghost %{_datadir}/services/ksycoca
This can also be discussed/decided post-review.


APPROVED.



Comment 6 Ngo Than 2007-03-06 13:11:37 UTC
1) as i remember it's needed for multilib problem
2) it's now committed in CVS
3) it's not really needed. it can be dropped.

i have built new 6:3.5.6-3.fc7 into rawhide. please take a look at new 
package, Thanks


Note You need to log in before you can comment on or make changes to this bug.